IM_ZEROX(3X)

NAME
im_zerox - find the zero crossings of an image

SYNOPSIS
#include <vips/vips.h> int im_zerox(in, out, flag)
IMAGE *in, *out;
int flag;

DESCRIPTION
im_zerox() detects the positive and negative edges of zero crossings of an image held by the image descriptor in, depending on the flag. If flag is -1 the negative zero crossings are returned. If flag is 1 the positive zero crossings are returned. The output image is byte with zero crossing set to 255 and all other values set to zero. Input can have any no of channels, and be any non-complex type.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_conv(3X), marhil(1).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 14/05/1991